Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.localsearch.decider.deciderscorecomparator
Class DeciderScoreComparatorFactoryConfig

    java.lang.Object
      org.optaplanner.core.config.localsearch.decider.deciderscorecomparator.DeciderScoreComparatorFactoryConfig

    public class DeciderScoreComparatorFactoryConfig

extends Object

Nested Class Summary
`static class` | `DeciderScoreComparatorFactoryConfig.DeciderScoreComparatorFactoryType`

Constructor Summary
`DeciderScoreComparatorFactoryConfig()`

Method Summary
`DeciderScoreComparatorFactory` | `buildDeciderScoreComparatorFactory()`
`Class<? extends DeciderScoreComparatorFactory>` | `getDeciderScoreComparatorClass()`
`DeciderScoreComparatorFactoryConfig.DeciderScoreComparatorFactoryType` | `getDeciderScoreComparatorFactoryType()`
`Integer` | `getHardScoreActivationThreshold()`
`Double` | `getHardWeightSurvivalRatio()`
`Integer` | `getStartingHardWeight()`
`Integer` | `getSuccessiveNoHardChangeMaximum()`
`Integer` | `getSuccessiveNoHardChangeMinimum()`
`Double` | `getSuccessiveNoHardChangeRepetitionMultiplicand()`
`void` | `inherit(DeciderScoreComparatorFactoryConfig inheritedConfig)`
`void` | `setDeciderScoreComparatorClass(Class<? extends DeciderScoreComparatorFactory> deciderScoreComparatorClass)`
`void` | `setDeciderScoreComparatorFactoryType(DeciderScoreComparatorFactoryConfig.DeciderScoreComparatorFactoryType deciderScoreComparatorFactoryType)`
`void` | `setHardScoreActivationThreshold(Integer hardScoreActivationThreshold)`
`void` | `setHardWeightSurvivalRatio(Double hardWeightSurvivalRatio)`
`void` | `setStartingHardWeight(Integer startingHardWeight)`
`void` | `setSuccessiveNoHardChangeMaximum(Integer successiveNoHardChangeMaximum)`
`void` | `setSuccessiveNoHardChangeMinimum(Integer successiveNoHardChangeMinimum)`
`void` | `setSuccessiveNoHardChangeRepetitionMultiplicand(Double successiveNoHardChangeRepetitionMultiplicand)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeciderScoreComparatorFactoryConfig

    public DeciderScoreComparatorFactoryConfig()

Method Detail

### getDeciderScoreComparatorClass

    public Class<? extends DeciderScoreComparatorFactory> getDeciderScoreComparatorClass()

### setDeciderScoreComparatorClass

    public void setDeciderScoreComparatorClass(Class<? extends DeciderScoreComparatorFactory> deciderScoreComparatorClass)

### getDeciderScoreComparatorFactoryType

    public DeciderScoreComparatorFactoryConfig.DeciderScoreComparatorFactoryType getDeciderScoreComparatorFactoryType()

### setDeciderScoreComparatorFactoryType

    public void setDeciderScoreComparatorFactoryType(DeciderScoreComparatorFactoryConfig.DeciderScoreComparatorFactoryType deciderScoreComparatorFactoryType)

### getHardScoreActivationThreshold

    public Integer getHardScoreActivationThreshold()

### setHardScoreActivationThreshold

    public void setHardScoreActivationThreshold(Integer hardScoreActivationThreshold)

### getSuccessiveNoHardChangeMinimum

    public Integer getSuccessiveNoHardChangeMinimum()

### setSuccessiveNoHardChangeMinimum

    public void setSuccessiveNoHardChangeMinimum(Integer successiveNoHardChangeMinimum)

### getSuccessiveNoHardChangeMaximum

    public Integer getSuccessiveNoHardChangeMaximum()

### setSuccessiveNoHardChangeMaximum

    public void setSuccessiveNoHardChangeMaximum(Integer successiveNoHardChangeMaximum)

### getSuccessiveNoHardChangeRepetitionMultiplicand

    public Double getSuccessiveNoHardChangeRepetitionMultiplicand()

### setSuccessiveNoHardChangeRepetitionMultiplicand

    public void setSuccessiveNoHardChangeRepetitionMultiplicand(Double successiveNoHardChangeRepetitionMultiplicand)

### getHardWeightSurvivalRatio

    public Double getHardWeightSurvivalRatio()

### setHardWeightSurvivalRatio

    public void setHardWeightSurvivalRatio(Double hardWeightSurvivalRatio)

### getStartingHardWeight

    public Integer getStartingHardWeight()

### setStartingHardWeight

    public void setStartingHardWeight(Integer startingHardWeight)

### buildDeciderScoreComparatorFactory

    public DeciderScoreComparatorFactory buildDeciderScoreComparatorFactory()

### inherit

    public void inherit(DeciderScoreComparatorFactoryConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.